/*COPYRIGHT © 2026 AUTHOR-E BV. ALL RIGHTS RESERVED */
@import url(Variables.css);

/* Main Layout style */
html,
body {
  position: absolute;
  margin: 0;
  padding: 0;
  width: 100%;

  font-size: 100%;
  overflow: hidden;
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

/* Alert box style */
.warning{
  color: #856404;
  background-color: #fff3cd;
  border-color: #ffeeba;
}

.success{
  color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
}

.danger
{
  color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
}

.confirm
{
  /* color: var(--textPrimary);
    background-color: white;
    border-color: var(--textPrimary); */
    color: #004085;
    background-color: var(--primary);
  
}

.alert{
  border-radius: 5px;
  margin: auto;
  width: 50%;
  align-self: center;
  padding: 10px;
}

#alertContainer
{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: center;
  position: absolute;
  top: 5px;
  
  z-index: 300000;
}

#close {
  float: right;
}

#confirmButtonChoice
{
  display: flex;
  margin-top: 20px
}

#confirmBoxOK
{
  background-color: var(--buttonPrimary);
  color: white;
  border-radius: 10px;
  width: 100px;
  padding: 5px;
  text-align: center;
  margin-right: 10px;
  cursor: pointer;
}
#confirmBoxCancel
{
  background-color: red;
  color: white;
  border-radius: 10px;
  width: 100px;
  padding: 5px;
  margin-right: 20px;
  text-align: center;
  cursor: pointer;
}




/* styling for modal pop up */
#modalContainer
{
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  align-self: center;
  position: absolute;
  margin: auto;
  z-index: 300000;
  background-color: rgba(0,0,0,.5);
  color: #fff;
}

#modalBox
{
  color: #004085;
  background-color: white;
  border: solid 1px var(--textPrimary);
  border-radius: 5px;
  width: 350px;
  height: fit-content;
  padding-bottom: 50px;
}

#modalHeader
{
  height: 30px;
  padding: 15px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

#modalBody
{
  display: flex;
  flex-direction: column;
  align-items: center;

}
#modalText
{
  text-align: center;
}

#modalFooter
{
  margin-top: 30px;
  background-color: var(--buttonPrimary);
  color: var(--white);
  padding: 5px 15px;
  border-radius: 5px;
  cursor: pointer;
}

#modalFooter:hover
{
  background-color: var(--textPrimary);
  color: white;
}

#closeModal {
  float: right;
  width: 25px;
    height: 25px;
    margin-left: auto;
    background-color: var(--buttonPrimary);
    mask-image: url(../Images/closeCircle.svg);
    -webkit-mask: url(../Images/closeCircle.svg) no-repeat 50% 50%;
    -webkit-mask-size: contain;
    mask-size: contain;
    cursor: pointer;
}
#closeModal:hover
{
  background-color: var(--iconPrimary);
}



/*Scroll bar styling*/
/* width */
::-webkit-scrollbar {
  width: 10px;
  height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px rgb(233, 233, 233);
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: rgb(102, 102, 102);
  border-radius: 10px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #a8a8a8;
}

/* Hide scrollbar for Chrome, Safari and Opera */
html::-webkit-scrollbar {
  display: none;
}
body {
  background-color: var(--white);
  margin: 0px;
}

/* styling for onboarding */
#overlay {
  position: fixed; /* Sit on top of the page content */
  display: none; /* Hidden by default */
  width: 100%; /* Full width (cover the whole page) */
  height: 100%; /* Full height (cover the whole page) */
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0,0,0,0.5); /* Black background with opacity */
  z-index: 1550; /* Specify a stack order in case you're using a different order for other elements */
  cursor: pointer; /* Add a pointer on hover */
}

#onboarding
{
  width: 300px;
  height: 350px;
  background-color: var(--white);
  border: solid 1px grey;
  border-radius: 10px;
  position: absolute;
  top:0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  padding: 15px;
  z-index: 1551;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}


#onboardingImage
{
  width: 250px;
  height: 200px;
	opacity: 1;
  background-image: url(../Images/onboarding.png);
  background-size: contain;
  background-repeat: no-repeat;
  align-self: center;

  /* background-color: var(--iconPrimary);
  mask-image: url(../Images/onboarding.svg);
  -webkit-mask: url(../Images/onboarding.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain; */

}

#onboardingContent
{
  align-self: center;
  text-align: center;
}

#onboardingNavigation
{
    width: 95%;
    align-self: center;
    display: flex;
    justify-content: space-between;
}

.buttonOnboarding
{
  border-radius: 10px;
    margin-bottom: 10px;
    margin-top: 10px;
}

.tour-backdrop {
  position: absolute;
  z-index: 1100;
  background-color: rgba(0,0,0,0.5) !important;
}

.popover-title
{
  background-color: var(--primary);
  color: var(--textPrimary);
}

#buttonOnboardingPrev
{
  /* background-image: url(../Images/arrowcircleleft.png); */
  min-width: 25px;
  min-height: 25px;
  /* background-size: contain;
  background-repeat: no-repeat; */
  align-items: center;
  /* background-position: center; */
  margin-left: 10px;
  cursor: pointer;

  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircleleft.svg);
  -webkit-mask: url(../Images/arrowcircleleft.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

#buttonOnboardingNext
{
  /* background-image: url(../Images/arrowcircleright.png); */
  min-width: 25px;
  min-height: 25px;
  /* background-size: contain;
  background-repeat: no-repeat; */
  align-items: center;
  /* background-position: center; */
  margin-right: 10px;
  cursor: pointer;

  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircleright.svg);
  -webkit-mask: url(../Images/arrowcircleright.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

#endOnboarding{
  width: 100%;
  padding: 5px;
  border-left: none;
  border-right: none;
  border-bottom: none;
  border-radius: 0;
  margin-top: 10px;
}

.flex
{
  display: flex;
  align-items: center;
}
.disable
{
  display: none;
}

/*styling for the floating action button*/
#floatingActiveIcon
{
  display: none;
}




#actionButtonContainer {
	position: fixed;
	bottom: 60px;
	right: 25px;
	z-index: 999;
	cursor: pointer;
  background-color: white;
  border-radius: 50%;
}

.actionButtonOptionsIcon {
	width: 40px;
	height: 40px;
  background-color: white;
}

.mainIcon {
	/* width: 50px;
	height: 50px;
	background: var(--textPrimary);
	border-radius: 100%;
	opacity: 1;
  background-image: url(../Images/plusIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */

  background-color: var(--iconPrimary);
  mask-image: url(../Images/plusIcon.svg);
  -webkit-mask: url(../Images/plusIcon.svg) no-repeat 50% 50%;
  height: 56px;
  width: 52px;
  /* background-repeat: no-repeat; */
  -webkit-mask-size: contain;
  mask-size: contain;
}

.actionButtonOptions {
	list-style-type: none;
	margin: 0;
  margin-right: 7px;
	position: absolute;
	bottom: 55px;
	right: 1px;
  padding: 0;
  border-radius: 10px;
  background-color: var(--white);
}

#actionOptions
{
  display: none;
}

#printIcon
{
  background-image :url(../Images/printIcon.png);
  /* background-size: contain;
  background-repeat: no-repeat; */
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */

  background-color: var(--iconSecondary);
  mask-image: url(../Images/printIcon.svg);
  -webkit-mask: url(../Images/printIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  height: 23px;
  width: 23px;
  /* margin-right: 10px; */
}

.printBtn:hover #containerPrintIcon>#printIcon
{
	 background-color: var(--iconPrimary);
}
.printBtn:hover #printLabel
{
  font-weight: bold;
}

#addNotesIcon
{
  /* background-image: url(../Images/noteIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */

  background-color: var(--iconSecondary);
  mask-image: url(../Images/noteIcon.svg);
  -webkit-mask: url(../Images/noteIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  height: 20px;
  width: 20px;
  /* margin-right: 10px; */
}

.addNoteBtn:hover #containerAddNotesIcon>#addNotesIcon
{

	 background-color: var(--iconPrimary);
}
.addNoteBtn:hover #addNotesLabel
{
  font-weight: bold;
}

#eraserIcon
{
  /* background-image: url(../Images/EraserIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  background-color: var(--iconSecondary);
  mask-image: url(../Images/EraserIcon.svg);
  -webkit-mask: url(../Images/EraserIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  height: 23px;
  width: 23px;
  /* margin-right: 10px; */
}

.removeSpecificHighlight:hover #containerEraseIcon>#eraserIcon
{
	 background-color: var(--iconPrimary);
}
.removeSpecificHighlight:hover #removeHighlightLabel
{
  font-weight: bold;
}

#addHighlightIcon
{
  /* background-image: url(../Images/HighlightIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  background-color: var(--iconSecondary);
  mask-image: url(../Images/HighlightIcon.svg);
  -webkit-mask: url(../Images/HighlightIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  height: 23px;
  width: 23px;
  /* margin-right: 10px; */
}
.textHighlighterBtn:hover #containerHighlightIcon>#addHighlightIcon
{

	 background-color: var(--iconPrimary);
}
.textHighlighterBtn:hover #addHighlightLabel
{
  font-weight: bold;
}

.stickyIcon
{
  /* background-image: url(../Images/noteIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 15px;
  width: 15px;
  /* background-position: center; */
  margin-bottom: 10px;
  left: -20px;
  position: absolute;
  margin-top: 10px;
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */
  background-color: var(--iconSecondary);
  mask-image: url(../Images/noteIcon.svg);
  -webkit-mask: url(../Images/noteIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  cursor: pointer;
}
#color
{
  display: none;
}
#colorContainer
{
  display: flex;
}

.picker
{
  width: 30px;
  height: 30px;
  border-radius: 100%;
  margin-right: 5px;
  display: inline;
}


#colorYellow
{
  height: 100%;
  width: 100%;
  background-color:yellow;
  border-radius: 100%;
}
#colorRed
{
  height: 100%;
  width: 100%;
  background-color:lightpink;
  border-radius: 100%;
}
#colorBlue
{
  height: 100%;
  width: 100%;
  background-color:powderblue;
  border-radius: 100%;
}
#colorGreen
{
  height: 100%;
  width: 100%;
  background-color:springgreen;
  border-radius: 100%;
}
#colorOrange
{
  height: 100%;
  width: 100%;
  background-color:lightsalmon;
  border-radius: 100%;
}
#notesOptions
{
  display: none;
}

#showAllNotes
{
  /* background-image: url(../Images/showNotesIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */

  background-color: var(--iconSecondary);
  mask-image: url(../Images/showNotesIcon.svg);
  -webkit-mask: url(../Images/showNotesIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  height: 23px;
  width: 23px;
  /* margin-right: 10px; */
  
}
.showAllNotesBtn:hover #containerShowAllNotesIcon>#showAllNotes
{

	 background-color: var(--iconPrimary);

}
.showAllNotesBtn:hover #showAllNotesLabel
{
  font-weight: bold;
}

#hideAllNotes
{
  /* background-image: url(../Images/hideNotesIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  background-color: var(--iconSecondary);
  mask-image: url(../Images/hideNotesIcon.svg);
  -webkit-mask: url(../Images/hideNotesIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  height: 23px;
  width: 23px;
  /* margin-right: 10px; */
}
.hideAllNotesBtn:hover #containerHideAllNotesIcon>#hideAllNotes
{
	 background-color:var(--iconPrimary);
}
.hideAllNotesBtn:hover #hideAllNotesLabel
{
  font-weight: bold;
}

.highlighted
{
  position: relative;
}

.highlightNotes
{
  display: block;
  position: absolute;
  left: 0;
  top: 15px;
  /* z-index: 100; */
  display: flex;
  flex-direction: column;
    
}

/*Tooltip div styling */
.tooltipDiv {
  display: none;
  /* width: 100px; */
  z-index: 101;
  background-color: #fff;
  border: 1px solid #666;
  padding: 5px;
  border-radius: 5px;
  cursor: pointer;
}

#tooltipHighlightIcon
{
  /* background-image: url(../Images/HighlightIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 25px;
  width: 25px;

  background-color: var(--iconPrimary);
  mask-image: url(../Images/HighlightIcon.svg);
  -webkit-mask: url(../Images/HighlightIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}
#tooltipHighlightIconYellow
{
  background-image: url(../Images/HighlightYellow.png);
  background-size: contain;
  background-repeat: no-repeat;
  height: 30px;
  width: 30px;
}
#tooltipHighlightIconGreen
{
  background-image: url(../Images/HighlightGreen.png);
  background-size: contain;
  background-repeat: no-repeat;
  height: 30px;
  width: 30px;
}
#tooltipHighlightIconBlue
{
  background-image: url(../Images/HighlightBlue.png);
  background-size: contain;
  background-repeat: no-repeat;
  height: 30px;
  width: 30px;
}
#tooltipHighlightIconRed
{
  background-image: url(../Images/HighlightPink.png);
  background-size: contain;
  background-repeat: no-repeat;
  height: 30px;
  width: 30px;
}
#tooltipHighlightIconOrange
{
  background-image: url(../Images/HighlightOrange.png);
  background-size: contain;
  background-repeat: no-repeat;
  height: 30px;
  width: 30px;
}
#tooltipAddNotesIcon
{
  /* background-image: url(../Images/noteIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 16px;
  width: 15px;
  background-color: var(--iconSecondary);
  mask-image: url(../Images/noteIcon.svg);
  -webkit-mask: url(../Images/noteIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  align-self: center;
  margin-left: 5px;
  margin-right: 5px;
}

#tooltipRemoveHighlightIcon
{
  /* background-image: url(../Images/EraserIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
    height: 18px;
    width: 18px;
    background-color: var(--iconSecondary);
    mask-image: url(../Images/EraserIcon.svg);
    -webkit-mask: url(../Images/EraserIcon.svg) no-repeat 50% 50%;
    -webkit-mask-size: contain;
    mask-size: contain;
}

@media screen and (max-width:768px)
{
  .highlightNotes
  {
  display: block;
  position: absolute;
  top: 15px;
  /* z-index: 35; */
  display: flex;
  flex-direction: column;
    
  }
}

.highlightNotesHeader
{
  display: flex;
  background-color: var(--primary);
  height: 20px;
  align-items: center;
  justify-content: end;
  border-top: var(--textPrimary) 1px solid;
  border-left: var(--textPrimary) 1px solid;
  border-right: var(--textPrimary) 1px solid;
  position: relative;
  z-index: 36;
}


.maxHighlightNotes
{
  /* background-image: url(../Images/noteIcon.png);
  background-size: contain;
  border-radius: 100%; */
  height: 12px;
  width: 12px;
  background-repeat: no-repeat;
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */
  background-color: var(--iconSecondary);
  mask-image: url(../Images/noteIcon.svg);
  -webkit-mask: url(../Images/noteIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  cursor: pointer;
  position:relative;
  z-index: 35;
}
.minHighlightNotes
{
  /* background-image: url(../Images/minimize.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 15px;
  width: 15px;
  margin-right: 5px;
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */
  background-color: var(--iconPrimary);
  mask-image: url(../Images/minimize.svg);
  -webkit-mask: url(../Images/minimize.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  cursor: pointer;
}
.removeHighlightNotes
{
  /* background-image: url(../Images/trash.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 15px;
  width: 15px;
  margin-right: 5px;
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */
  background-color: var(--iconPrimary);
  mask-image: url(../Images/trash.svg);
  -webkit-mask: url(../Images/trash.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  cursor: pointer;
}

.textAreaHighlightNotes
{
  width: 150px;
  height: 100px;
  overflow: auto; 
  border-top: var(--textPrimary) 0px solid;
  border-bottom: var(--textPrimary) 1px solid;
  border-left: var(--textPrimary) 1px solid;
  border-right: var(--textPrimary) 1px solid;
  position: relative;
  z-index: 36;
}


/* .fab:hover + .fab-options, .fab-options:hover {
	opacity: 1;
	transform: scale(1);
} */

.actionButtonOptions li {
	display: flex;
	justify-content: flex-end;
	padding: 5px;
  margin-bottom: 7px;
  border-radius: 10px;
}

.actionButtonOptionsLabel {
	padding: 2px 5px;
    align-self: center;
    user-select: none;
    white-space: nowrap;
    border-radius: 3px;
    margin-right: 3px;
}

.highlightCursorActive
{
  cursor: url(../Images/highlightCursor.png), auto;
}

.eraserCursorActive
{
 cursor : url(../Images/eraserCursor.png), auto;
}

.iconActive
{
    /* background-color: rgb(94, 209, 94); */
    border-radius: 100px;
    border: 3px solid rgb(94,209,94);
    padding: 5px;
}

#color > .iconActive {
  padding: 0 !important;
}

.stickyNotes {
  text-align: center;
  border: 1px solid #d3d3d3;
  background-color: white;
  margin-top: 10px;
}

.notesHeader {
  padding: 5px;
  cursor: move;
  z-index: 10;
  background-color: var(--primary);
  color:var(--textPrimary);
  display: flex;
}

.textAreaStickyNotes
{
  width: 98%;
  height: fit-content;
  border-style: none; 
  border-color: Transparent; 
  overflow: auto; 
}

.remove
{
  /* background-image: url(../Images/trash.png);
  background-size: contain; */
  height: 20px;
  width: 20px;
  margin-left: auto;
  margin-right: 5px;
  cursor:pointer;
  background-color: var(--iconPrimary);
  mask-image: url(../Images/trash.svg);
  -webkit-mask: url(../Images/trash.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

/* styling for content */
#page {
  overflow: hidden;
  height: 100vh;
}

#sideMenu {
  background-color:#efefef;
  /* background-image: url(../Images/backgound.png); */
  width: 25%;
  height: 100vh;
  background-repeat: no-repeat;
  background-size: cover;
  float: left;
  display: block;
  position: relative;
  z-index: 1041;
}

#closeSideMenuIcon {
  width: 25px;
  height: 25px;
  margin-left: auto;
  /* to change the color of the close icon in side menu */
  background-color: var(--iconWhite);
  mask-image: url(../Images/closeCircle.svg);
  -webkit-mask: url(../Images/closeCircle.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

#sideMenuTitleContainer {
  display: flex;
  width: 80%;
  margin: auto;
  padding-top: 30px;
  padding-bottom: 30px;
  align-items: center;
  color: white;
}

#sideMenuTitleIcon {
  /* background-image: url(../Images/home.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 20px;
  width: 20px;
  background-position: center;
  cursor: pointer;
  background-color: var(--iconWhite);
  mask-image: url(../Images/home.svg);
  -webkit-mask: url(../Images/home.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;

}

#List {
  margin: 0;
  padding: 0;
}

#rightContent {
  width: 75%;
  float: right;
  background-color: var(--white);
  height: 100% !important;
}

#contentTitle {
  margin-bottom: 10px !important;
  /* border-bottom: solid 0.5px var(--line); */
  width: fit-content;
  line-height: 130%;
}

#contentTitle > br {
  display: none;
}

#Header {
  height: 300px;
  display: block;
  background-color: lightgray;
  background-repeat: no-repeat;
  background-position: left top;
  overflow: visible;
}


/*Content*/
#SectionTitle {
  display: none;
}

section
{
  margin-left: 30px;
  /* overflow: auto; */
}

#Content {
  padding: 50px 70px 0px 0px;
  height: calc(100% - 50px);
  overflow-y: auto;
}

section
{
  max-width: 600px;
}

img {
  display: inline-block;
  max-width: 98%;
  height: auto !important;
}


.HorizVertCentreImage {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 674px;
  width: 600px;
}
.HorizCentreImage {
  align-items: center;
  width: 600px;
  display: flex;
  flex-direction: column;
}


#sectionLevel3Header {
  margin: 20px 0 20px 0;
}

#Header {
  height: 30px;
  background: #3da1db;
  margin: 0px 30px 0px 30px;
}


#sideMenuTitleText {
  margin-left: 15px;
  cursor: pointer;
}

#sectionLevel4Header {
  padding: 6px;
  margin: 0px 0px 10px 0px;
}

#previousSectionButton {
  height: 40px;
  width: calc(75% - 85px);
  background-color: #e1e1e1;
  position: fixed;
  top: 0;
  margin-left: 85px;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  z-index: 100;
}
#previousSectionButton:hover
{
  background-color: var(--textLabelPrimary);
  color: white;
}

#nextSectionButton {
  height: 40px;
  width: calc(75% - 85px);
  background-color: #e1e1e1;
  position: fixed;
  bottom: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 85px;
  cursor: pointer;
  z-index: 100;
}

#nextSectionButton:hover
{
  background-color: var(--textLabelPrimary);
  color: white;
}

/*multiple quizz*/
.TVQ_Interaction {
  border: 0; /* 1 */
  padding-left: 0px; /* 11px */
  padding-top: 0px; /* 5px */
}

.InteractionOption {
  padding: 0px 0px 0px 10px !important;
}

.InteractionTitle {
  line-height: 2.5;
  padding-left: 0;
}

.InteractionQuestion {
  line-height: 2.5;
}


/*styling for the vimeo video*/
.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	height: 0;
  }
  .videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
  }

/*question button*/
#buttonNavigator {
  padding-top: 30px;
  z-index: 1000;
  padding-left: 35px;
  padding-bottom: 150px;
}

button {
  background-color: var(--white);
  width: 120px;
  color: var(--buttonPrimary);
  border: solid 2px var(--buttonPrimary);
  border-radius: 50px;
  position: relative;
  z-index: 1;
  overflow: hidden;
  padding: 10px;
}

button:hover {
  color: var(--white);
  background-color: var(--buttonPrimary);
  font-weight: bold;
}
button::after {
}
button[class^="slide"]::after {
  transition: all 0.3s;
  content: "";
  background: var(--buttonPrimary);
  position: absolute;
  z-index: -1;
  display: block;
  border-radius: 50px;
}
button[class^="slide"]:hover::after {
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  transition: all 0.3s;
}
button.slideLeft::after {
  left: -100%;
  right: 100%;
}
button.slideRight::after {
  right: -100%;
  left: 100%;
}

.buttonDisabled
{
  background-color: var(--buttonPrimary);
  color: var(--white);
  font-weight: bold;
}

.arrow {
  color: var(--buttonPrimary);
}

/* #previous {
  float: left;
}

#next {
  float: right;
}

#finish {
  float: right;
} */



.Content td {
  vertical-align: middle;
  margin-right: 500px;
}

input[type="radio" i]:after {
  width: 15px;
  height: 15px;
  border-radius: 15px;
  top: -2px;
  left: -1px;
  position: relative;
  background-color: #d1d3d1;
  content: "";
  display: inline-block;
  visibility: visible;
  border: 2px solid white;
}

input[type="radio" i]:checked:after {
  width: 15px;
  height: 15px;
  border-radius: 15px;
  top: -2px;
  left: -1px;
  position: relative;
  background-color: var(--buttonPrimary);
  content: "";
  display: inline-block;
  visibility: visible;
  border: 2px solid white;
}

/*overview page*/
#overview {
  overflow-y: hidden;
  overflow-x: hidden;
  display: none;
}

#overviewRight {
  width: 50%;
  float: right;
  height: 100vh;
  overflow-y: auto;
}

#overviewLeft {
    background-image: linear-gradient(var(--textPrimary),var(--buttonPrimary));
    background-image: url(../Images/background.png);
    width: 50%;
    float: left;
    height: 100vh;
    overflow: auto;
    display: flex;
    flex-direction: column;
    padding-top: 30px;
}

#overviewContent {
  overflow-y: auto;
}

#overviewContent > #Content {
  height: fit-content;
  padding: 0 50px 0px 50px;
  margin: 0;
  max-height: 70vh;
}



div#companyLogoContainer {
  /*background-color: white; */
  /* width: 100%; */
  min-height: 50px;
  height: 50px;
  /* height: fit-content; */
  padding-left: 20px;
  padding-top: 25px;
  padding-bottom: 10px;
  margin-bottom: 30px;
}

#companyLogo {
  background-image: url(../Images/logo.svg);
    background-size: contain;
    width: 100%;
    /* width: 50px; */
    height: 100%;
    background-repeat: no-repeat;
}

.LogoTOCContainer
{
  width: 100%;
  margin-left: 0!important;
  display: flex !important;
  align-items: center;
  justify-content: center;

}

.LogoTOCImage
{
  background-image: url(../Images/logo.svg);
    background-size: contain;
    width: 100%;
    /* width: 50px; */
    min-height: 50px;
    height: auto!important;
    background-repeat: no-repeat;
    /* background-position: center; */
}

.card {
  height: 100px;
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  width: 80%;
  margin: 50px 50px 50px 80px;
  border-radius: 15px;
  position: relative;
}

.overviewCardIcon {
  float: left;
  background-image: url(../Images/bookIcon.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: start center;
  height: 60%;
  width: 15%;
  margin: 20px;
  /* background-color: var(--iconSecondary);
  mask-image: url(../Images/bookIcon.svg);
  -webkit-mask: url(../Images/bookIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain; */
}

.overviewCardLabel {
  position: absolute;
  left: 20%;
  top: 20%;
}
.overviewCardButton {
  height: 100%;
  width: 35px;
  position: absolute;
  right: 20px;
  /* background-image: url(../Images/arrowcircleright.png);
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat; */
  opacity: 0;

  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircleright.svg);
  -webkit-mask: url(../Images/arrowcircleright.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

.card:hover {
  transition: all 0.2s ease-out;
  box-shadow: 0px 4px 8px rgba(38, 38, 38, 0.2);
  top: -4px;
}

.card:hover .overviewCardButton {
  opacity: 1;
}

.overviewCardSubsection {
  position: absolute;
  bottom: 20%;
  left: 20%;
}


/* collapsible content */

.contentClose {
  max-height: 120px;
  overflow-y: hidden;
  -webkit-mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
  mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
  background-color: #f5f5f5;
  padding: 0 20px;
}

.contentOpen
{
  height: fit-content;
  background-color: #f5f5f5;
  padding: 10px 20px;
}


.Collapsible > .stickyIcon {
  /* background-image: url(../Images/noteIcon.png);
  background-size: contain;
  background-repeat: no-repeat; */
  height: 15px;
  width: 15px;
  /* background-position: center; */
  margin-bottom: 10px;
  left: -17px;
  position: absolute;
  margin-top: 10px;
  left: 3px;
  image-rendering: crisp-edges;
  image-rendering: -moz-crisp-edges;          /* Firefox */
  image-rendering: -o-crisp-edges;            /* Opera */
  image-rendering: -webkit-optimize-contrast; /* Webkit (non-standard naming)*/
  -ms-interpolation-mode: nearest-neighbor;   /* IE (non-standard property) */

  background-color: var(--iconPrimary);
  mask-image: url(../Images/noteIcon.svg);
  -webkit-mask: url(../Images/noteIcon.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}
.buttonCollapsibleContainer
{
  height: 30px;
  display: flex;
  justify-content: center;
  margin-top: -15px;
}

.buttonCollapsibleClickTitle
{
  float: right;
  height: 20px;
  width: 7%;
  display: flex;
  justify-content: right;
}

#showMore
{
  /* background-image: url(../Images/arrowcircledown.png); */
  width: 30px;
  height: auto;
  /* background-size: contain;
  background-repeat: no-repeat; */
  cursor: pointer;

  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircledown.svg);
  -webkit-mask: url(../Images/arrowcircledown.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}
#showLess
{
  /* background-image: url(../Images/arrowcircleup.png); */
  width: 30px;
  height: auto;
  /* background-size: contain;
  background-repeat: no-repeat; */
  display: none;
  cursor: pointer;
  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircleup.svg);
  -webkit-mask: url(../Images/arrowcircleup.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

#showChild
{
  /* background-image: url(../Images/arrowcircledown.png); */
  width: 25px;
  height: auto;
  /* background-size: contain;
  background-repeat: no-repeat; */
  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircledown.svg);
  -webkit-mask: url(../Images/arrowcircledown.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}
#hideChild
{
  /* background-image: url(../Images/arrowcircleup.png);*/
  width: 25px; 
  height: auto;
  /* background-size: contain;
  background-repeat: no-repeat; */
  display: none;

  background-color: var(--iconPrimary);
  mask-image: url(../Images/arrowcircleup.svg);
  -webkit-mask: url(../Images/arrowcircleup.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

.mfp-figure > button:hover {
  background-color: transparent;
}


/* styling for custom meta tags*/
.Ratio50-50Left {
  float: left;
  display: table-cell;
  vertical-align: top;
  width: calc(50% - 30px);
  min-height: 10%;
  /* padding: 0px 5px 0px 0px; */
}

.Ratio50-50Right {
  float: right;
  display: table-cell;
  vertical-align: top;
  width: calc(50% - 30px);
  min-height: 10%;
  /* padding: 0px 0px 0px 50px; */
}

.containerCarousel {
  margin: 20px auto;
    
    padding-top: 20px;
    padding-bottom: 30px;
    width: calc(100% - 20px);
    height: 37vh;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: 0 0.5px 5px 0.5px;
    flex-direction: column;
}


#carouselNext {
  margin: auto 0 auto auto;
  width: 30px; 
  height: 30px; 
  background-color: var(--buttonPrimary);
  mask-image: url(../Images/arrowcircleright.svg);
  -webkit-mask: url(../Images/arrowcircleright.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  cursor: pointer;
}
#carouselNext:hover
{
  background-color: var(--iconPrimary);
}

#carouselPrev {
  z-index: 0;
  margin: auto auto auto 0;
  width: 30px; 
  height: 30px; 
  background-color: var(--buttonPrimary);
  mask-image: url(../Images/arrowcircleleft.svg);
  -webkit-mask: url(../Images/arrowcircleleft.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
  cursor: pointer;
}
#carouselPrev:hover
{
  background-color: var(--iconPrimary);
}

#carouselParagraphContainer {
  /* display: flex;
  margin-left: 20px;
  justify-content: space-between; */
}

#carouselNavigator {
  display: flex;
  margin-left: 30px;
  align-items: center;
}

#carouselInner {
  width: calc(100% - 50px);
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center; 
}


#navigatorShow
{
  display: flex;
  align-items: center;
  width: 100%;
  background-color: var(--primary);
  padding: 5px;
  border-radius: 5px;
}

#navigatorShowOne
{
  display: none;
  background-color: var(--primary);
  padding: 5px;
  border-radius: 5px;
  width: 100%;
}


#showAllSlide {
  margin-right: 10px;
    padding: 3px 10px;
    background-color: var(--buttonPrimary);
    color: white;
    border-radius: 5px;
    margin-left: 20px;
    cursor: pointer;
    
}

#showAllSlide:hover
{
  background-color: var(--iconPrimary);
}

#showOneSlide {
  margin-right: 10px;
  padding: 3px 10px;
  background-color: var(--buttonPrimary);
  color: white;
  border-radius: 5px;
  /* float: right; */
  margin-left: auto;
  cursor: pointer;
}

#showOneSlide:hover
{
  background-color: var(--iconPrimary);
}

#navigatorButton {
  margin-left: auto;
}

#carouselParagraphContainer > #carouselNext
{
  /* margin-top: 5px;
  position: fixed;
  right: 40px; */
  margin-left: 15px;
}
#carouselParagraphContainer > #carouselPrev
{
  /* margin-top: 5px;
  position: fixed; */
}

#carouselParagraphContainer > section 
{
  /* margin-right: 60px;
  margin-left: 60px; */
}
.paragraphInfo {
  overflow: hidden;
}

.paragraphInfoText {
  background-color: var(--primary);
  margin-left: 30px;
  padding: 5px;
  border-radius: 5px;
  margin-top: 10px;
}


/* #imageContainer {
  width: 100%;
  height: 100%;
  
  justify-content: center;
 
  align-items: center;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
} */

#contImg {
  /* object-fit: contain; */
  height: 100%;
  /* width: 500px; */
  text-align: center;
}

#contImg > a > img {
  height: 100% !important;
  object-fit: scale-down;
  text-align: center;
}

#contImg > img {
  height: 100% !important;
  object-fit: scale-down;
  text-align: center;
}

.ImageCenter a
{
  display:flex;
  justify-content:center;
}


/* style for the video list */
#videoListContainer
{
    display: flex;
}

#videoListTitle p
{
    background-color: var(--primary);
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
    margin: 10px 0px !important;
}

#videoListPlayer
{
    min-width: 75%;
    margin-left: 20px;
}

@media screen and (max-width:480px)
{
    #videoListContainer
    {
        display: flex;
        flex-direction: column-reverse;
    }
}

.videoTitleActive
{
    background-color:var(--textPrimary) !important;
    color: white;
}


/* styling for the question interaction navigator */
#questionNavigationBar {
  display: flex;
  /* justify-content: flex-end; */
  background-color: var(--primary);
  padding: 10px;
  margin-left: 30px;
}

#previous {
 background-color: var(--buttonPrimary);
 color: white;
 padding: 5px;
 border-radius: 5px;
 width: 80px;
 text-align: center;
 cursor: pointer;
}

#previous:hover
{
  background-color: var(--iconPrimary);
}

#previousDisabled {
  background-color: grey;
  color: white;
  padding: 5px;
  border-radius: 5px;
  width: 80px;
  text-align: center;
 }

#next {
  background-color: var(--buttonPrimary);
  color: white;
  padding: 5px;
  border-radius: 5px;
  width: 80px;
  text-align: center;
  cursor: pointer;
}

#next:hover
{
  background-color: var(--iconPrimary);
}

#finish {
  /* margin-left: auto; */
  background-color: var(--buttonPrimary);
  color: white;
  padding: 5px;
  border-radius: 5px;
  width: 80px;
  text-align: center;
  cursor: pointer;
}

#finish:hover
{
  background-color: var(--iconPrimary);
}

#questionNavigator
{
  /* margin-left: auto;*/
  align-self: center;
  margin-left: 20px;
  margin-right: 20px;
  font-weight: bolder;
  
} 

/* .correct {
  padding-right: 6px !important;
  padding-bottom: 5px !important;
  padding-left: 0 !important;
  margin: 0 !important;
  border-radius:5px;
} */

.checkFeedback
{
  background-color: var(--buttonPrimary);
  color: white;
  padding: 5px;
  border-radius: 5px;
  width: 130px;
  text-align: center;
  cursor: pointer;
}
.checkFeedback:hover
{
  background-color: var(--iconPrimary);
}

.feedbackIcon
{
  z-index: 0;
  min-width: 25px; 
  height: 25px; 
  background-color: var(--iconPrimary);
  mask-image: url(../Images/lamp.svg);
  -webkit-mask: url(../Images/lamp.svg) no-repeat 50% 50%;
  -webkit-mask-size: contain;
  mask-size: contain;
}

.wrong
{
  mask-image: url(../Images/wrong.svg);
  -webkit-mask: url(../Images/wrong.svg) no-repeat 50% 50%;
  background-color: red;
}
.wrongText
{
  color: red;
  font-size: 11px;
}

.allCorrect
{
  mask-image: url(../Images/correct.svg);
  -webkit-mask: url(../Images/correct.svg) no-repeat 50% 50%;
  background-color: #155724;
}
.allCorrectText
{
  color: #155724;
  font-size: 11px;
}

.feedbackContainer {
  display: flex;
  /* justify-content: flex-start; */
  margin-top: 20px;
  margin-bottom: 20px;
  background-color:  #f6f6f6;
  padding-top: 10px;
  padding-bottom: 10px;
  padding-left: 10px;
  border-top: var(--buttonPrimary) solid 2px;
  align-self: center;
  align-items: center;
  border-radius: 0 0 5px 5px
}

.wrongContainer
{
  background-color: pink;
  padding: 3px;
  border-radius: 3px;
}
.correctContainer
{
  
  background-color: #d4edda;
  padding:3px;
  border-radius: 3px;
}

.text-correct
{
  align-self: center;
  margin-left: 15px;
}

input[type="radio" i] {
  margin: 0;
  /* padding: 0; */
}

input[type="radio"] {
  margin: 3px 5px 3px 2px;
}

.Content td
{
  overflow: visible !important;
}
